import { Holder } from '../../../../../Class/Holder';
import { System } from '../../../../../system';
import { CH } from '../../../../../types/interface/CH';
import { MS } from '../../../../../types/interface/MS';
export interface I {
    opt: RTCConfiguration;
    close: any;
    answer: string;
    stream: MS;
}
export interface O {
    offer: string;
    channel: CH;
}
export default class PeerTransmitter extends Holder<I, O> implements CH {
    private _peer;
    private _unlisten;
    private _connected;
    private _offered;
    private _flag_err_peer_construct;
    private _flag_err_answer_without_offer;
    private _unlisten_stream;
    private _stream;
    constructor(system: System);
    f({ opt }: {
        opt: any;
    }): Promise<void>;
    d(): void;
    onRefInputData(name: string, unit: MS): Promise<void>;
    onIterDataInputData(name: keyof I, data: any): Promise<void>;
    onDataInputDrop(name: string): void;
    onDataOutputDrop(name: string): void;
    onRefInputDrop(name: string): void;
    private _add_stream;
    private _remove_stream;
    private _send_data;
    private _send;
    private _output_port;
    private _setup_peer;
    private _disconnect;
    send(data: any): Promise<void>;
}
